Bug 46389 - Maintainer update: www/gallery
Maintainer update: www/gallery
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Any Any
: Normal Affects Only Me
Assigned To: freebsd-ports
Depends on:
  Show dependency treegraph
Reported: 2002-12-20 04:00 UTC by jamie
Modified: 2002-12-31 00:34 UTC (History)
0 users

See Also:

file.diff (2.55 KB, patch)
2002-12-20 04:00 UTC, jamie
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description jamie 2002-12-20 04:00:12 UTC
	Update gallery port - bug fixes and (minor) new features.
Comment 1 lioux freebsd_committer 2002-12-20 14:25:23 UTC

	Could you elaborate on the bugs fixed by this update?
Does it fix any incompatibilities with apache? Any remote

Mario S F Ferreira - DF - Brazil - "I guess this is a signature."
Computer Science Undergraduate | FreeBSD Committer | CS Developer
flames to beloved devnull@someotherworldbeloworabove.org
feature, n: a documented bug | bug, n: an undocumented feature
Comment 2 jamie 2002-12-20 20:21:20 UTC
On Fri, Dec 20, 2002 at 12:25:23PM -0200, Mario Sergio Fujikawa Ferreira wrote:
> Hi,
> 	Could you elaborate on the bugs fixed by this update?
> Does it fix any incompatibilities with apache? Any remote
> exploits?

Sure ... see the release notes below.

-- Jamie

2002-11-27                      v1.3.2 release

2002-11-22  Bharat Mediratta   1.3.2-cvs-b32

        * Added Beckett's fix to clean up temp files left around when uploading
          via a URL or ZIP file.

2002-11-17  Bharat Mediratta   1.3.2-cvs-b30

        * Fixed bug introduced in b21 causing [reset counter] link on
          albums.php page to fail.

        * Fixed bug in the new "add caption with photo" code which generated an
          error when you add a photo by URL or local-file.

2002-11-15  Bharat Mediratta   1.3.2-cvs-b29

        * Fixed bug #638939: Publish XP gives wrong URL (Guido Claessen)
          We were hand rolling the URL that appears at the end of the wizard,
          which would lead to it not working when rewriting is disabled.

        * Tightened up the description of the publisher

        * Fixed a bug where the search function lowercases the result values
          that it displays in context.  Thanks to Beckett Madden-Woods for the

2002-11-13  Bharat Mediratta   1.3.2-cvs-b28

        * Rolled in Joan McGalliard's patch to allow users to add captions
          when uploading photos.  Thanks, Joan!

2002-11-12  Bharat Mediratta   1.3.2-cvs-b27

        * Tested the XP Publishing code, made a few tweaks to make it a bit
          more presentable.  Included end-user documentation for how to use it.

          The XP publishing code is only available when Gallery is running
          in standalone mode, because of the complexity of generating the
          right URLs for the browser when embedded.

2002-11-11  Pierre-Luc Paour  1.3.2-cvs-b26

        * Fixed escaping of line breaks in GalleryRemoteProperties.php

2002-11-10  Bharat Mediratta   1.3.2-cvs-b25

        * Grant canViewFullImages to EVERYBODY by default in new Albums

        * Added publish_xp, a tool for publishing to Gallery directly from your
          Windows XP desktop, thanks to Demian Johnston!

2002-11-09  Bharat Mediratta   1.3.2-cvs-b24

        * Fixed bug #587441: wrong # of photos resized w/ hidden pics
          Turns out that if you can resize all photos then you can also see all
          the hidden ones.  So, resize all now applies to all photos.

2002-11-08  Bharat Mediratta   1.3.2-cvs-b23

        * Fixed a bug in the slideshow where it was not obeying the "can view
          full size images" permission properly (thanks to Akki)

2002-11-07  Bharat Mediratta   1.3.2-cvs-b22

        * Changed shutterfly PSID to "GALL"

        * Suppressed some more open_basedir warnings in the config wizard.

        * Fixed bug #524944: Config Wizard allows too many rows.  Changed the default
          rows/columns to use pulldowns instead of a text box.

        * Fixed bug #551569: edit_appearance fails under Nuke with certain
          browsers.  We had a duplicate form tag, and the second one was bogus.

2002-11-05  Bharat Mediratta   1.3.2-cvs-b21

        * Further fixed bugs in view_album.php where admin links were not
          specifying the album name correctly, which would fail if the album
          information were not getting stored in the session properly.

2002-11-04  Pierre-Luc Paour  1.3.2-cvs-b20

        * Bumped gallery_remote2 protocol version to 2.1.

2002-11-04  Bharat Mediratta   1.3.2-cvs-b19

        * Fixed two small bugs in the setup code where we were using 
          is_executable instead of fs_is_executable (thanks Kwan Skinner)

2002-11-02  Tim Miller  1.3.2-cvs-b18

        * Added the "new-album" command to gallery_remote2.php.
        * Removed some incorrect urlencoding.

2002-10-31  Bharat Mediratta   1.3.2-cvs-b17

        * Fixed a bug in view_album.php where we were generating admin links
          with "albumName=xxx" instead of "set_albumName=xxx".  This would
          cause fatal errors under certain rare circumstances.

2002-10-31  Bharat Mediratta   1.3.2-cvs-b16

        * Minor tweak: if the full name is empty, display the username in the
          "Welcome, xxx" message on albums.php

        * Integrated Jesse Mullan's albumdb refactoring code in a separate
          branch.  This code separates out the information about each photo
          from the album metadata which allows us to load much less data into
          memory when we load an album.  This will speed up cross-album
          operations and use less memory (yay Jesse!)

2002-10-18  Bharat Mediratta   1.3.2-cvs-b14

        * Enhanced the config wizard to behave reasonably when open_basedir is
          on.  Specifically I improved it so that it doesn't spit out endless
          warnings by trying to stat files that are not in the open_basedir list.

2002-10-15  Bharat Mediratta   1.3.2-cvs-b13

        * Changed php_flag to php_value in the config wizard code.
          The PHP website claims that php_flag is legitimate, but some versions
          of PHP don't support it.  

2002-10-15  Bharat Mediratta   1.3.2-cvs-b12

        * Added .swf (Shockwave) as an acceptable movie format

        * SECURITY: remove tags from the login name and password on the
          login page to protect against cross-site-scripting attacks.
          Thanks to Bryan Burns for the tip.

2002-09-27  Tim Miller   1.3.2-cvs-b11

        * Added gallery_remote2.php and supporting files, which implement
          the first release of the new Gallery Remote protocol,
          to be used with GR 1.0-b9 and later.

2002-09-27  Bharat Mediratta   1.3.2-cvs-b10

        * Fixed a bug in the comment code that caused the IP not to appear
          when register_globals is off

        * Changed the comment display code so that it only shows the IP to

2002-09-23  Bharat Mediratta   1.3.2-cvs-b9

        * Overhauled the UPGRADING document; it was getting pretty confusing

        * Rolled in Sammy Spets' "can view full images" permission patch

        * Changed the captionator to only require canChangeTextOfAlbum
          permissions (used to require canWrite).

2002-09-18  Bharat Mediratta   1.3.2-cvs-b8

        * Fixed a bug in the ImageMagick code where it was rotating images the
          wrong direction.

2002-09-15  Bharat Mediratta   1.3.2-cvs-b7

        * Added setup/check_imagemagick.php (forgot to do it as part of -b6)

2002-09-14  Bharat Mediratta   1.3.2-cvs-b6

        * Gallery now supports ImageMagick, thanks to a patch from Vallimar!

2002-09-10  Bharat Mediratta   1.3.2-cvs-b5

        * Converted from short php tags to long php tags, thanks to a very
          large patch from Chris Ricker 

2002-09-04  Bharat Mediratta   1.3.2-cvs-b4

        * Added  and  tags where appropriate to make Gallery more

2002-08-23  Bharat Mediratta   1.3.2-cvs-b3

        * Changed the Album's mkdir() call to use perms of 775.  This fixes the
          problem where the albums directory has the user sticky bit set (which
          some ISPs like to do).  Thanks to Alexey Ovcharov and Pavel for this

2002-08-22  Bharat Mediratta   1.3.2-cvs-b2

        * Tweaked setup/check_netpbm.php so that it works better on Windows.

2002-08-12  Bharat Mediratta   1.3.2-cvs-b1

        * Added a few more default search paths for NetPBM and jhead in the
          config wizard

        * Fixed a bug in the config wizard where we were overriding Options
          in .htaccess (thanks Karl Narveson)
Comment 3 okazaki freebsd_committer 2002-12-31 00:33:23 UTC
State Changed
From-To: open->closed

superseded by ports/46639